Bug 117218 - [patch] audio/sdl_mixer : timidity++ support
Summary: [patch] audio/sdl_mixer : timidity++ support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-15 19:50 UTC by Olivier
Modified: 2008-03-14 23:00 UTC (History)
0 users

See Also:


Attachments
file.shar (921 bytes, text/plain)
2007-10-15 19:50 UTC, Olivier
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier 2007-10-15 19:50:00 UTC
sdl_mixer doesn't search for timidity.cfg in the right place. I attached a patch with the correct location to make sdl_mixer support audio/timidity++ instead of audio/timidity which is discontinued since a long time (the shar contains audio/sdl_mixer/files/patch-timidity-config.h)

How-To-Repeat: install audio/timidity++
try to play a midi through sdl_mixer (for example, games/eduke32 uses midi music through sdl_mixer) : no sound
Comment 1 Edwin Groothuis freebsd_committer 2007-10-15 19:50:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->shaun

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Olivier 2007-10-15 20:40:00 UTC
PORTREVISION should be bumped too
Comment 3 Shaun Amott freebsd_committer 2007-10-28 12:03:42 UTC
Responsible Changed
From-To: shaun->freebsd-ports-bugs

I'm no longer the maintainer of this port.
Comment 4 Martin Wilke freebsd_committer 2007-12-22 13:09:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 5 Martin Wilke freebsd_committer 2008-03-13 21:15:47 UTC
State Changed
From-To: open->closed

Hello, we have to update devel/directfb first. Maintainer is requested 
to close this PR.
Comment 6 Martin Wilke freebsd_committer 2008-03-13 21:25:37 UTC
State Changed
From-To: closed->open

reopen wrong pr closed
Comment 7 dfilter service freebsd_committer 2008-03-14 22:56:00 UTC
miwi        2008-03-14 22:55:55 UTC

  FreeBSD ports repository

  Modified files:
    audio/sdl_mixer      Makefile 
  Log:
  - Add timidity++ support
  - Bump PORTREVISION
  
  PR:             117218
  Submitted by:   Olivier Smedts <olivier@gid0.org>
                  maintainer
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.44      +9 -1      ports/audio/sdl_mixer/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Martin Wilke freebsd_committer 2008-03-14 22:56:01 UTC
State Changed
From-To: open->closed

Committed. Thanks!